<?xml version="1.0"  encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:output method="html" encoding="ISO-8859-1" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" />
<xsl:param name="number" select="1"/>
<xsl:template match="/">
  <html>
  <title><xsl:value-of select="./DOMAINS/DOMAIN/@domain"/></title>
  <body bgcolor="#8b7765" >
    <xsl:apply-templates/>
  </body>
  </html>
</xsl:template>
<xsl:template match="RESULTS">
  <xsl:apply-templates/>
</xsl:template>
<xsl:template match="FILES"></xsl:template>
<xsl:template match="OPENMESSAGES"></xsl:template>
<xsl:template match="DOMAINS">
  <xsl:apply-templates select="DOMAIN[position()=$number ]"/>
</xsl:template>
<xsl:template name="BYTES">
  <xsl:param name="bytes">0</xsl:param>
			<xsl:choose>
			  <xsl:when test="$bytes > 1024 * 1024 * 1024">
  			    <xsl:value-of select="round($bytes div 1024 div 1024 div 1024 * 100) div 100"/>GB
			  </xsl:when>
			  <xsl:when test="$bytes > 1024 * 1024">
  			    <xsl:value-of select="round($bytes div 1024 div 1024 * 100) div 100"/>MB
			  </xsl:when>
			  <xsl:when test="$bytes > 1024">
  			    <xsl:value-of select="round($bytes div 1024 * 100) div 100"/>kb
			  </xsl:when>
			  <xsl:otherwise>
  			    <xsl:value-of select="$bytes"/>bytes
			  </xsl:otherwise>

			</xsl:choose>
</xsl:template>
<xsl:template name="DAUER">
<xsl:value-of select="round((./@sec div 31536000) mod 365)"/>Year <xsl:value-of select="round((./@sec div 86400) mod 365)"/>Day <xsl:value-of select="round((./@sec div 3600) mod 24)"/>h <xsl:value-of select="round((./@sec div 60) mod 60)"/>min <xsl:value-of select="./@sec mod 60"/>sec
</xsl:template>

<xsl:template match="DOMAIN">
<table border="0" width="90%" cellpadding="2" cellspacing="0" align="center" bgcolor="#000000">
 <tr>
  <td>
   <table align="center" bgcolor="#fffacd" border="0" cellpadding="3" cellspacing="1" width="100%">
    <tr>
      <td align="center"><font size="4" color="black"><b><xsl:value-of select="attribute::*"/></b></font></td>
    </tr>
   </table>
  </td>
 </tr>
 <tr bgcolor="#8b7765">
  <td><BR></BR></td>
 </tr>
 <tr>
  <table border="0" cellspacing="0" cellpadding="1" width="90%" bgcolor="#000000" align="center">
   <tr>
    <td>
     <table width="100%" border="0" cellspacing="0" cellpadding="3" align="center">
      <tr>
       <td colspan="1" bgcolor="#eecfa1" align="center"><center><b> 
Overview for the period <xsl:value-of select="./@startzeit"/> of <xsl:value-of select="./@endzeit"/></b></center>
       </td>
      </tr>
     </table>
    </td>
   </tr>
   <tr>
     <td>
      <table width="100%" border="0" cellspacing="0" cellpadding="3" align="center">
       <tr>
         <td align="center" bgcolor="#fffacd"><img src="{./@image}"></img></td>
       </tr>
      </table>
     </td>
   </tr>
   <tr>
     <td>
      <table width="100%" bgcolor="#fffacd" border="1" cellspacing="0" cellpadding="0" align="center">
       <tr><td colspan="6" height="20"></td></tr>
		<tr>
		 <td width="5%"></td>
		 <td>All Traffic Summary for<xsl:value-of select="attribute::*"/></td>
	     <td colspan="3" align="right">
		  <xsl:call-template name="BYTES">
		    <xsl:with-param name="bytes"><xsl:value-of select="./@sumbytes"/></xsl:with-param>
		  </xsl:call-template>
	     </td>
	     <td width="5%"></td>
		</tr>

		<tr>
		 <td></td>
		 <td>Incoming Traffic</td>
	     <td colspan="3" align="right">
		  <xsl:call-template name="BYTES">
		    <xsl:with-param name="bytes"><xsl:value-of select="./@incbytes"/></xsl:with-param>
		  </xsl:call-template>
	     </td>
	     <td></td>
		</tr>

		<tr>
		 <td></td>
		 <td>Outgoing Traffic</td>
	     <td colspan="3" align="right">
		  <xsl:call-template name="BYTES">
		    <xsl:with-param name="bytes"><xsl:value-of select="./@outbytes"/></xsl:with-param>
		  </xsl:call-template>
	     </td>
	     <td></td>
		</tr>
		<tr>
		 <td></td>
		 <td>Local Traffic</td>
	     <td colspan="3" align="right">
		  <xsl:call-template name="BYTES">
		    <xsl:with-param name="bytes"><xsl:value-of select="./@localbytes"/></xsl:with-param>
		  </xsl:call-template>
	     </td>
	     <td></td>
		</tr>

		<tr>
		 <td></td>
		 <td>Summary count of the Mails</td>
	     <td colspan="3" align="right">
		  <xsl:value-of select="./@summessages"/>
	     </td>
	     <td></td>
		</tr>
		<tr>
		 <td></td>
		 <td>Received Mails</td>
	     <td colspan="3" align="right">
		  <xsl:value-of select="./@incoming"/>
	     </td>
	     <td></td>
		</tr>
		<tr>
		 <td></td>
		 <td>Sent Mails</td>
	     <td colspan="3" align="right">
		  <xsl:value-of select="./@outgoing"/>
	     </td>
	     <td></td>
		</tr>
		<tr>
		 <td></td>
		 <td>Local Mails</td>
	     <td colspan="3" align="right">
		  <xsl:value-of select="./@local"/>
	     </td>
	     <td></td>
		</tr>

		<tr>
		 <td></td>
		 <td>Log Data Since</td>
	     <td colspan="3" align="right" width="30%">
		  <xsl:call-template name="DAUER" />
	     </td>
	     <td></td>
		</tr>

       <tr><td colspan="6" height="20"></td></tr>
      </table>
     </td>
   </tr>
  </table>
 </tr>

 <tr bgcolor="#8b7765">
  <td><BR></BR></td>
 </tr>

 <tr>
  <table border="0" cellspacing="0" cellpadding="1" width="90%" bgcolor="#000000" align="center">
   <tr>
    <td>
     <table width="100%" border="0" cellspacing="0" cellpadding="3" align="center">
      <tr>
       <td colspan="1" bgcolor="#eecfa1" align="center"><center><b>Top 
users sorted by traffic</b></center>
       </td>
      </tr>
     </table>
    </td>
   </tr>
  </table>
 </tr>
 <tr>
  <table border="0" cellspacing="0" cellpadding="1" width="90%" bgcolor="#000000" align="center">
   <tr>
    <td>
     <table width="100%" border="1" cellspacing="0" cellpadding="0" align="center" bgcolor="#fffacd">
      <tr><td colspan="5" height="20"></td></tr>
      <tr bgcolor="#eecfa1">
       <td width="5%" bgcolor="#fffacd"></td>
       <td width="10%" align="center">Place</td>
       <td width="60%">Username</td>
       <td width="20%" align="right">Traffic</td>
       <td width="5%" bgcolor="#fffacd"></td>
      </tr>
      <xsl:for-each select="./MEMBER">
      <xsl:sort data-type="number" select="./@sumbytes" order="descending"/>
      <xsl:choose>
      <xsl:when test="position() &lt; 21">
      <tr>
       <td width="5%"></td>
       <td width="10%" align="center"><xsl:value-of select="position()"/></td>
       <td width="60%"><xsl:value-of select="."/></td>
       <td width="20%" align="right">		
         <xsl:call-template name="BYTES">
		    <xsl:with-param name="bytes"><xsl:value-of select="./@sumbytes"/></xsl:with-param>
		  </xsl:call-template>
       </td>
       <td width="5%"></td>
      </tr>
      </xsl:when>
      </xsl:choose>
	  </xsl:for-each>
     </table>
    </td>
   </tr>
  </table>
 </tr>

 <tr bgcolor="#8b7765">
  <td><BR></BR></td>
 </tr>

 <tr>
  <table border="0" cellspacing="0" cellpadding="1" width="90%" bgcolor="#000000" align="center">
   <tr>
    <td>
     <table width="100%" border="0" cellspacing="0" cellpadding="3" align="center">
      <tr>
       <td colspan="1" bgcolor="#eecfa1" align="center"><center><b>TOP 
User by Mails</b></center>
       </td>
      </tr>
     </table>
    </td>
   </tr>
  </table>
 </tr>
 <tr>
  <table border="0" cellspacing="0" cellpadding="1" width="90%" bgcolor="#000000" align="center">
   <tr>
    <td>
     <table width="100%" border="1" cellspacing="0" cellpadding="0" align="center" bgcolor="#fffacd">
      <tr><td colspan="5" height="20"></td></tr>
      <tr bgcolor="#eecfa1">
       <td width="5%" bgcolor="#fffacd"></td>
       <td width="10%" align="center">Place</td>
       <td width="60%">Username</td>
       <td width="20%" align="right">Mails</td>
       <td width="5%" bgcolor="#fffacd"></td>
      </tr>
      <xsl:for-each select="./MEMBER">
      <xsl:sort data-type="number" select="./@summessages" order="descending"/>
      <xsl:choose>
      <xsl:when test="position() &lt; 21">
      <tr>
       <td width="5%"></td>
       <td width="10%" align="center"><xsl:value-of select="position()"/></td>
       <td width="60%"><xsl:value-of select="."/></td>
       <td width="20%" align="right"><xsl:value-of select="./@summessages"/></td>
       <td width="5%"></td>
      </tr>
      </xsl:when>
      </xsl:choose>
	  </xsl:for-each>
     </table>
    </td>
   </tr>
  </table>
 </tr>

 <tr bgcolor="#8b7765">
  <td><BR></BR></td>
 </tr>

 <tr>
  <table border="0" cellspacing="0" cellpadding="1" width="90%" bgcolor="#000000" align="center">
   <tr>
    <td>
     <table width="100%" border="0" cellspacing="0" cellpadding="3" align="center">
      <tr>
       <td colspan="1" bgcolor="#eecfa1" align="center"><center><b>TOP User by received Mails</b></center>
       </td>
      </tr>
     </table>
    </td>
   </tr>
  </table>
 </tr>
 <tr>
  <table border="0" cellspacing="0" cellpadding="1" width="90%" bgcolor="#000000" align="center">
   <tr>
    <td>
     <table width="100%" border="1" cellspacing="0" cellpadding="0" align="center" bgcolor="#fffacd">
      <tr><td colspan="5" height="20"></td></tr>
      <tr bgcolor="#eecfa1">
       <td width="5%" bgcolor="#fffacd"></td>
       <td width="10%" align="center">Place</td>
       <td width="60%">Username</td>
       <td width="20%" align="right">Mails</td>
       <td width="5%" bgcolor="#fffacd"></td>
      </tr>
      <xsl:for-each select="./MEMBER">
      <xsl:sort data-type="number" select="./@incoming" order="descending"/>
      <xsl:choose>
      <xsl:when test="position() &lt; 21">
      <tr>
       <td width="5%"></td>
       <td width="10%" align="center"><xsl:value-of select="position()"/></td>
       <td width="60%"><xsl:value-of select="."/></td>
       <td width="20%" align="right"><xsl:value-of select="./@incoming"/></td>
       <td width="5%"></td>
      </tr>
      </xsl:when>
      </xsl:choose>
	  </xsl:for-each>
     </table>
    </td>
   </tr>
  </table>
 </tr>

 <tr bgcolor="#8b7765">
  <td><BR></BR></td>
 </tr>

 <tr>
  <table border="0" cellspacing="0" cellpadding="1" width="90%" bgcolor="#000000" align="center">
   <tr>
    <td>
     <table width="100%" border="0" cellspacing="0" cellpadding="3" align="center">
      <tr>
       <td colspan="1" bgcolor="#eecfa1" align="center"><center><b>TOP 
User by sent Mails</b></center>
       </td>
      </tr>
     </table>
    </td>
   </tr>
  </table>
 </tr>
 <tr>
  <table border="0" cellspacing="0" cellpadding="1" width="90%" bgcolor="#000000" align="center">
   <tr>
    <td>
     <table width="100%" border="1" cellspacing="0" cellpadding="0" align="center" bgcolor="#fffacd">
      <tr><td colspan="5" height="20"></td></tr>
      <tr bgcolor="#eecfa1">
       <td width="5%" bgcolor="#fffacd"></td>
       <td width="10%" align="center">Place</td>
       <td width="60%">Username</td>
       <td width="20%" align="right">Mails</td>
       <td width="5%" bgcolor="#fffacd"></td>
      </tr>
      <xsl:for-each select="./MEMBER">
      <xsl:sort data-type="number" select="./@outgoing" order="descending"/>
      <xsl:choose>
      <xsl:when test="position() &lt; 21">
      <tr>
       <td width="5%"></td>
       <td width="10%" align="center"><xsl:value-of select="position()"/></td>
       <td width="60%"><xsl:value-of select="."/></td>
       <td width="20%" align="right"><xsl:value-of select="./@outgoing"/></td>
       <td width="5%"></td>
      </tr>
      </xsl:when>
      </xsl:choose>
	  </xsl:for-each>
     </table>
    </td>
   </tr>
  </table>
 </tr>

</table>
</xsl:template>
</xsl:stylesheet>
